---
name: Menu
menu: Patterns
---

import { Playground, Props } from "docz";

import Menu from "./Menu";
import MenuItem from "./MenuItem";
import ListItemIcon from "./ListItemIcon";
import ListItemText from "./ListItemText";
import Icon from "./Icon";
import IconButton from "./IconButton";

# Menu

Menus contain menu items that are positioned on a paper. They can be clicked and navigate to another page or state. A menu items contains one list item with at least one list item text. Each menu item can contain a list item icon.

## Best practices

- Please do not mix list items with and without an icon.

<!-- Menu -->

### Basic usage

<Playground>
  {() => {
    const [anchorEl, setAnchorEl] = React.useState(null);
    const handleClick = (event) => {
      setAnchorEl(event.currentTarget);
    };
    const handleClose = () => {
      setAnchorEl(null);
    };
    return (
      <>
        <IconButton
          aria-controls="simple-menu"
          aria-haspopup="true"
          onClick={handleClick}
        >
          <Icon>more-vertical</Icon>
        </IconButton>
        <Menu
          id="simple-menu"
          anchorEl={anchorEl}
          keepMounted
          open={Boolean(anchorEl)}
          onClose={handleClose}
        >
          <MenuItem onClick={handleClose}>
            <ListItemIcon>
              <Icon>user</Icon>
            </ListItemIcon>
            <ListItemText primary="Menu Item 1" />
          </MenuItem>
          <MenuItem onClick={handleClose}>
            <ListItemIcon>
              <Icon>question-circle</Icon>
            </ListItemIcon>
            <ListItemText primary="Menu Item 2" />
          </MenuItem>
          <MenuItem onClick={handleClose}>
            <ListItemIcon>
              <Icon>cart</Icon>
            </ListItemIcon>
            <ListItemText primary="Menu Item 3" />
          </MenuItem>
        </Menu>
      </>
    );
  }}
</Playground>

### Properties

<Props of={Menu} />
